Bug 1132889 - deepin-launcher: dde-launcher: symbol lookup error: dde-launcher: undefined symbol: _ZN16__SessionManager6lockedEv
deepin-launcher: dde-launcher: symbol lookup error: dde-launcher: undefined s...
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X11 Applications
Current
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: Hillwood Yang
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-19 05:47 UTC by S. B.
Modified: 2019-08-05 02:48 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description S. B. 2019-04-19 05:47:56 UTC
Hi, Thank you very much for making Deepin compile for Tumbleweed. 

I have Deepin installed on the latest Tumbleweed release, and it loads, but only the launcher fails with this error:

> dde-launcher: symbol lookup error: dde-launcher: undefined symbol: _ZN16__SessionManager6lockedEv

Please let me know if you need any more information. Thanks!
Comment 1 Hillwood Yang 2019-04-19 07:39:40 UTC
I updated some package just now, please update and test again.
Thanks for your testing.
Comment 2 Hillwood Yang 2019-04-19 14:20:33 UTC
(In reply to S. B. from comment #0)
> Hi, Thank you very much for making Deepin compile for Tumbleweed. 
> 
> I have Deepin installed on the latest Tumbleweed release, and it loads, but
> only the launcher fails with this error:
> 
> > dde-launcher: symbol lookup error: dde-launcher: undefined symbol: _ZN16__SessionManager6lockedEv
> 
> Please let me know if you need any more information. Thanks!

I can not reproduce this problem, deepin-launcher works fine in my system.
Comment 3 S. B. 2019-04-19 17:21:10 UTC
Thank you very much for your help.

With the new updated packages, now it is worse. Before, when I created this bug report, I could right-click on the desktop and open the control center. Now, I can log in to the DDE, but only the Alt-F2 dropdown terminal works. Running `dde-launcher` gives the same error, and now there is a similar error when trying to manually run `dde-control-center`. The right-click menu no longer appears.

I tried upgrading my installation to the newer Deepin packages, and I also tried a fresh Tumbleweed installation, but something is still wrong.

I have disabled installing recommended packages. I wonder if there is some recommended package that should really be required for DDE to work?

Thanks again.
Comment 4 S. B. 2019-04-19 21:07:23 UTC
I tried another fresh Tumbleweed install with recommended packages enabled. The result is the same. I can only login to DDE, but now I can not right-click, and only the dropdown Alt-F2 terminal works.
Comment 5 Hillwood Yang 2019-04-22 01:57:36 UTC
(In reply to S. B. from comment #4)
> I tried another fresh Tumbleweed install with recommended packages enabled.
> The result is the same. I can only login to DDE, but now I can not
> right-click, and only the dropdown Alt-F2 terminal works.

I think i should take some time to package pattern-deepin. Maybe you lost some packages.
Comment 6 S. B. 2019-04-23 03:27:39 UTC
Hi HillWood, I wonder if it's because I am testing it inside a VirtualBox VM? Maybe it needs accelerated 3D graphics or something?

I doubt that I am missing packages, as I basically tried installing all the packages in X11:/Deepin:/Factory/openSUSE_Tumbleweed
Comment 7 S. B. 2019-04-25 03:21:51 UTC
I don't know if this helps, but this is what I can find on Google about symbol lookup errors with Deepin:

- https://bbs.archlinux.org/viewtopic.php?id=181861&p=7
> deepin-wm and gala conflicts with each other because of a desktop file in deepin-wm
This is interesting, because gala was getting automatically installed with Deepin on openSUSE as a dependency. I wonder if this is part of the problem?

- https://www.linuxquestions.org/questions/linux-deepin-101/deepin-movie-not-running-4175541152/
> i suffer of the same issue on my laptop using nvidia graphic card, but my othe laptop using ATI the Dmovie app works flawless.
So some parts of Deepin seem to behave differently on specific graphics cards. Maybe it doesn't like VirtualBox graphics?

- https://forum.manjaro.org/t/deepin-file-browser-wont-open/25352
Something here related to libglx.so
Comment 8 Hillwood Yang 2019-08-05 02:48:07 UTC
Can not reproduce this issue.